FORUMS
Remove All Ads from XDA

[GAPPS][DAILY] Open GApps for Android; All Android Versions & Devices

811 posts
Thanks Meter: 2,312
 
Post Reply Email Thread
13th February 2018, 10:58 AM |#5091  
Senior Member
Thanks Meter: 1,226
 
More
Quote:
Originally Posted by N3DevDroid

how to update gapps that have been installed how it is? whether in direct flash or how?

Just flash from TWRP.
The Following User Says Thank You to sanguinesaintly For This Useful Post: [ View ] Gift sanguinesaintly Ad-Free
 
 
13th February 2018, 11:04 AM |#5092  
Junior Member
Thanks Meter: 1
 
More
Quote:
Originally Posted by sanguinesaintly

Just flash from TWRP.

thanks answer
13th February 2018, 11:13 AM |#5093  
shaggyskunk's Avatar
Recognized Contributor
Flag IDK
Thanks Meter: 14,976
 
Donate to Me
More
Quote:
Originally Posted by sanguinesaintly

Just flash from TWRP.

Yup - Unless you are Flashing a different version of Open Gapps - ie: If you currently have Stock Gapps installed & you want to install Nano Gapps - Then you should Wipe System & Caches - Flash Rom and Gapps - SuperSU or Magisk etc 🐧

Sent from my SM-G955W 🇨🇦
The Following User Says Thank You to shaggyskunk For This Useful Post: [ View ] Gift shaggyskunk Ad-Free
13th February 2018, 11:21 AM |#5094  
Senior Member
Thanks Meter: 1,226
 
More
Quote:
Originally Posted by shaggyskunk

Yup - Unless you are Flashing a different version of Open Gapps - ie: If you currently have Stock Gapps installed & you want to install Nano Gapps - Then you should Wipe System & Caches - Flash Rom and Gapps - SuperSU or Magisk etc

Sent from my SM-G955W

I have hopped between nano and pico without any problems, but yes, if in doubt, wipe and dirty flash ROM.
15th February 2018, 09:34 AM |#5095  
Junior Member
Thanks Meter: 5
 
More
Open Gapps Go edition
Just curious, is it possible to build a package that includes the Go version of Gapps as of now?
The Following 2 Users Say Thank You to devashish90 For This Useful Post: [ View ] Gift devashish90 Ad-Free
15th February 2018, 12:12 PM |#5096  
DodoGTA's Avatar
Inactive Recognized Developer
Flag Šilutė
Thanks Meter: 1,144
 
Donate to Me
More
Quote:
Originally Posted by devashish90

Just curious, is it possible to build a package that includes the Go version of Gapps as of now?

Not possible right now

Sent from my Samsung Galaxy Trend Plus using XDA Labs
The Following User Says Thank You to DodoGTA For This Useful Post: [ View ] Gift DodoGTA Ad-Free
17th February 2018, 04:43 PM |#5097  
Mckol's Avatar
Member
Flag Iwonicz
Thanks Meter: 7
 
More
Cannot log in to google account, apps crash, found solution and it's source
I got a build of GAPPS for android 8.1 here https://forum.xda-developers.com/sho...07&postcount=5, and after installing it, google services kept crashing (most other google apps too), and I couldn't log in to my google account (I was stuck at Checking info...). After trying everything I could find, I tried using adb. I googled one of logcat errors (missing shared library), and found the post quoted below. After extracting libgmscore.so from /system/priv-app/PrebuiltGmsCore/PrebuiltGmsCore.apk and putting it in /system/priv-app/PrebuiltGmsCore/lib/arm64/ everything seems to work alright. Is the build I found outdated or is this bug still there?

The ROM I used is unofficial LOS 15.1 with treble support https://forum.xda-developers.com/red...-15-0-t3690465
And the recovery was TWRP with treble support linked in OP of the ROM thread.
I couldn't find installation log, but I can provide logcat from before fixing it, but I suppose it's not necessary in this case.

Quote:
Originally Posted by protectivedad

I'm having a problem with the common libs being installed for the gmscore. After installing the nano 5.1 OpenGApps from 20170307. I noticed on my logcat the errors:

Code:
E/NativeLibraryUtils( 1535): Unable to locate gmscore in dalvik.system.PathClassLoader[DexPathList[[zip file "/system/framework/com.android.location.provider.jar", zip file "/system/framework/com.android.media.remotedisplay.jar", zip file "/system/priv-app/PrebuiltGmsCore/PrebuiltGmsCore.apk"],nativeLibraryDirectories=[/vendor/lib, /system/lib]]]
E/NativeLibraryUtils( 1535): java.lang.UnsatisfiedLinkError: dalvik.system.PathClassLoader[DexPathList[[zip file "/system/framework/com.android.location.provider.jar", zip file "/system/framework/com.android.media.remotedisplay.jar", zip file "/system/priv-app/PrebuiltGmsCore/PrebuiltGmsCore.apk"],nativeLibraryDirectories=[/vendor/lib, /system/lib]]] couldn't find "libgmscore.so"
I looked through the /system/lib, /system/priv-app/PrebuiltGmsCore and I can't find the library. I see it in the zip file.

One thing I noticed that I think is wrong there is no /system/priv-app/PrebuiltGmsCore/lib directory at all. The files were not installed. The similar Velvet has the libraries install, but it doesn't for the PrebuiltGmsCore.

Am I correct that the install should copy the common folder along with the proper dpi folder and merge them into the priv-app directory. For GApps/search-arm (Velvet) it is doing that but for Core/gmscore-arm (PrebuiltGmsCore) it is not copying the common folder.

EDIT:
Manually, pushing the common directory over into the system/priv-apps resolves the issues. Is this a bug?

17th February 2018, 04:53 PM |#5098  
Senior Member
Thanks Meter: 1,226
 
More
Quote:
Originally Posted by Mckol

I got a build of GAPPS for android 8.1 here https://forum.xda-developers.com/sho...07&postcount=5, and after installing it, google services kept crashing (most other google apps too), and I couldn't log in to my google account (I was stuck at Checking info...). After trying everything I could find, I tried using adb. I googled one of logcat errors (missing shared library), and found the post quoted below. After extracting libgmscore.so from /system/priv-app/PrebuiltGmsCore/PrebuiltGmsCore.apk and putting it in /system/priv-app/PrebuiltGmsCore/lib/arm64/ everything seems to work alright. Is the build I found outdated or is this bug still there?

The ROM I used is unofficial LOS 15.1 with treble support https://forum.xda-developers.com/red...-15-0-t3690465
And the recovery was TWRP with treble support linked in OP of the ROM thread.
I couldn't find installation log, but I can provide logcat from before fixing it, but I suppose it's not necessary in this case.

Rather than using a build over 2 months old, why not try a recent one from https://sourceforge.net/projects/uno...8-1/files/arm/
The Following User Says Thank You to sanguinesaintly For This Useful Post: [ View ] Gift sanguinesaintly Ad-Free
17th February 2018, 06:07 PM |#5099  
counterfeit187's Avatar
Senior Member
Flag Wilmington
Thanks Meter: 281
 
More
Quote:
Originally Posted by sanguinesaintly

Rather than using a build over 2 months old, why not try a recent one from https://sourceforge.net/projects/uno...8-1/files/arm/

I'm not sure about which that device uses, but you should also point out the arm64 link.
17th February 2018, 06:11 PM |#5100  
Senior Member
Flag Edmonton
Thanks Meter: 619
 
More
Quote:
Originally Posted by counterfeit187

I'm not sure about which that device uses, but you should also point out the arm64 link.

Here's the link.
https://sourceforge.net/projects/uno...1/files/arm64/
17th February 2018, 06:30 PM |#5101  
Senior Member
Thanks Meter: 1,226
 
More
Quote:
Originally Posted by githyanki

Here's the link.
https://sourceforge.net/projects/uno...1/files/arm64/

Well spotted. I use the arm versions. Hopefully he found "Parent Folder" on the page.
Post Reply Subscribe to Thread

Tags
gapps, open gapps, open source, opengapps

Guest Quick Reply (no urls or BBcode)
Message:
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes